[Bug 239902] devel/ghidra: Fails to build with Gradle 5.6

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Bug 239902] devel/ghidra: Fails to build with Gradle 5.6

bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239902

            Bug ID: 239902
           Summary: devel/ghidra: Fails to build with Gradle 5.6
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
               URL: https://people.freebsd.org/~pi/logs/ghidra-9.0.4.log
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: Individual Port(s)
          Assignee: [hidden email]
          Reporter: [hidden email]
                CC: [hidden email]
                CC: [hidden email]
             Flags: maintainer-feedback?([hidden email])


FAILURE: Build failed with an exception.

* Where:
Build file
'/wrkdirs/usr/ports/devel/ghidra/work/ghidra-Ghidra_9.0.4_build/build.gradle'
line: 10

* What went wrong:
A problem occurred evaluating root project 'ghidra-Ghidra_9.0.4_build'.
> Requires Gradle 5.0, but was run with 5.6

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug
option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 3s
*** Error code 1

https://people.freebsd.org/~pi/logs/ghidra-9.0.4.log

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 239902] devel/ghidra: Fails to build with Gradle 5.6

bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239902

Tobias Kortkamp <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Blocks|                            |239875


Referenced Bugs:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239875
[Bug 239875] devel/gradle - update to 5.x
--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

[Bug 239902] devel/ghidra: Fails to build with Gradle 5.6

bugzilla-noreply
In reply to this post by bugzilla-noreply
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239902

Walter Schwarzenfeld <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--- Comment #1 from Walter Schwarzenfeld <[hidden email]> ---
 https://gitee.com/mirrors/Ghidra/raw/master/DevGuide.md
-->
* Gradle 5.0 or later - We use version 5.0, and tested with up to 5.5.1.

Seems only have to change:
work/ghidra-Ghidra_9.0.4_build/build.gradle

 9 if (gradle.gradleVersion != "5.0") {
     10         throw new GradleException("Requires Gradle 5.0, but was run
with $gradle.gradleVersion")
     11 }

--
You are receiving this mail because:
You are the assignee for the bug.
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "[hidden email]"